PayZuPayZu Docs

Create Withdrawal (Pix key)

POST
/withdraw

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://api.payzu.processamento.com/v1/withdraw" \  -H "Content-Type: application/json" \  -d '{    "amount": 2,    "pixKey": "teste@teste.com",    "pixType": "email"  }'

{
  "id": "PAYZU2025081721512946OOLK75",
  "status": "PENDING",
  "amount": 2,
  "type": "WITHDRAW",
  "qrCodeText": null,
  "qrCodeBase64": null,
  "qrCodeUrl": null,
  "generatedName": null,
  "generatedDocument": null,
  "generatedEmail": null,
  "payerName": null,
  "payerDocument": null,
  "payerInstitutionIspb": null,
  "payerInstitutionName": null,
  "payerAccountNumber": "513579",
  "serviceFeeCharged": 1,
  "withdrawPixKey": "teste@teste.com",
  "withdrawPixType": "email",
  "receiverName": null,
  "receiverDocument": null,
  "receiverInstitutionIspb": null,
  "receiverInstitutionName": null,
  "receiverAccountNumber": null,
  "endToEndId": null,
  "createdAt": "2025-08-17T21:51:29.748Z",
  "updatedAt": "2025-08-17T21:51:29.748Z",
  "paidAt": null,
  "clientReference": "withdraw_98765",
  "refundEndToEndId": null,
  "refundAmount": null,
  "refundStatus": null,
  "refundReason": null,
  "refundDescription": null,
  "refundedAt": null,
  "cancellationReason": null
}

{
  "statusCode": 400,
  "error": "Bad Request",
  "message": "querystring/dateFrom Invalid input: expected string, received undefined",
  "requestId": "cmou00000abcdef01s6ghij1k2lm"
}
{
  "statusCode": 401,
  "error": "Unauthorized",
  "message": "Missing or invalid Bearer token",
  "requestId": "cmou00000abcdef01s6ghij1k2lm"
}